Bug 763717 - (GLUSTER-1985) peer detach fails if bricks are not resolved
peer detach fails if bricks are not resolved
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Pranith Kumar K
Depends On:
  Show dependency treegraph
Reported: 2010-10-20 02:42 EDT by Pranith Kumar K
Modified: 2015-12-01 11:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pranith Kumar K 2010-10-20 02:42:00 EDT
peer detach of an invalid peer gives the error bricks exist if the bricks are not resolved. This happens because the peer and the brick have null uuids. This should be handled.
Comment 1 Anand Avati 2010-10-24 21:13:57 EDT
PATCH: http://patches.gluster.com/patch/5534 in master (mgmt/glusterd: resolve the bricks before comparing uuid)

Note You need to log in before you can comment on or make changes to this bug.